package MonitoringFramework.classtrn;

public class Clock implements Runnable {

 	private static final int NumberOfWeeks = 60;
	
   public int WeekNumber = 1;
   public boolean done = false;
   
   public Clock () {
   }
   
   public void start () {
      
      Thread thread = new Thread();
      thread.setName("ClockThread");
      thread.setPriority(Thread.MAX_PRIORITY);
      
      this.run();
   }

   public synchronized void run() {      
      try {
      	System.out.println("Clock Started");
      	
         while ( !done ) {            
            wait(1000); 
            if (++WeekNumber > NumberOfWeeks) {
            	done = true;
            }
         }} 
      catch (InterruptedException e) {
         e.printStackTrace();           
      }
      System.out.println("Clock Terminated");
   }

   public int getWeekNumber () {
   	return WeekNumber;
   }

   public boolean isDone () {
   	return done;
   }
}
