package Scenario.Utility;
import java.util.HashMap;
import java.util.Map;
public class MethodUtils {
public static Map<String,String> methods =new HashMap<String,String>();
public static Map<String,Class<?>> owners=new HashMap<String,Class<?>>();
static{
try{MethodUtils.owners.put("UserTable", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("DoesUserExist", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("UserHasLoan", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("UserHasFee", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("createuser", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.methods.put("createuser", "userAdditionRequested");
MethodUtils.methods.put("createuser", "generateNewUserId");
MethodUtils.methods.put("createuser", "newUserCreated");
MethodUtils.methods.put("createuser", "reprotUserExists");
MethodUtils.methods.put("createuser", "userAdditionCompleted");
MethodUtils.methods.put("createuser", "userAdditionCompleted");
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("getUserTable", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("delete", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.methods.put("delete", "userDeletionRequested");
MethodUtils.methods.put("delete", "informUserNotExist");
MethodUtils.methods.put("delete", "checkUserHasLoan");
MethodUtils.methods.put("delete", "checkUserHasFee");
MethodUtils.methods.put("delete", "deleteUser");
MethodUtils.methods.put("delete", "userDeleted");
MethodUtils.methods.put("delete", "informUserHasFee");
MethodUtils.methods.put("delete", "informUserHasLoan");
MethodUtils.methods.put("delete", "userDeletionCompleted");
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("lookupUserName", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("checkUser", Class.forName("IUT.server.logic.tables.UserTable"));
MethodUtils.owners.put("Output", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("getOutput", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("setOutput", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("getState", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("setState", Class.forName("IUT.server.logic.handler.model.Output"));
MethodUtils.owners.put("ClientThread", Class.forName("IUT.client.ClientThread"));
MethodUtils.owners.put("open", Class.forName("IUT.client.ClientThread"));
MethodUtils.owners.put("close", Class.forName("IUT.client.ClientThread"));
MethodUtils.owners.put("run", Class.forName("IUT.client.ClientThread"));
MethodUtils.owners.put("ItemTable", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("DoesTitleExist", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("DoesItemExist", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("DoesItemHasLoan", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("createitem", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.methods.put("createitem", "itemAdditionRequested");
MethodUtils.methods.put("createitem", "reportTitleDoesNotExist");
MethodUtils.methods.put("createitem", "itemAdditionCompleted");
MethodUtils.methods.put("createitem", "itemAdditionCompleted");
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("delete", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.methods.put("delete", "itemDeletionRequested");
MethodUtils.methods.put("delete", "checkDoesItemHasLoan");
MethodUtils.methods.put("delete", "itemDeleted");
MethodUtils.methods.put("delete", "informItemHasLoan");
MethodUtils.methods.put("delete", "reportItemDoesNotExist");
MethodUtils.methods.put("delete", "itemDeletionCompleted");
MethodUtils.owners.put("deleteAll", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.methods.put("deleteAll", "deleteItem");
MethodUtils.owners.put("getItemTable", Class.forName("IUT.server.logic.tables.ItemTable"));
MethodUtils.owners.put("ServerOutput", Class.forName("IUT.server.logic.handler.model.ServerOutput"));
MethodUtils.owners.put("getOutput", Class.forName("IUT.server.logic.handler.model.ServerOutput"));
MethodUtils.owners.put("setOutput", Class.forName("IUT.server.logic.handler.model.ServerOutput"));
MethodUtils.owners.put("getState", Class.forName("IUT.server.logic.handler.model.ServerOutput"));
MethodUtils.owners.put("setState", Class.forName("IUT.server.logic.handler.model.ServerOutput"));
MethodUtils.owners.put("Fee", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("getUserid", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("setUserid", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("getFee", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("setFee", Class.forName("IUT.server.logic.model.Fee"));
MethodUtils.owners.put("FeeTable", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("checkuser", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("lookupfee", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("applyfee", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.methods.put("applyfee", "applyOverDueFee");
MethodUtils.owners.put("getFeeTable", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("Initialization", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.owners.put("payfine", Class.forName("IUT.server.logic.tables.FeeTable"));
MethodUtils.methods.put("payfine", "collectFineRequested");
MethodUtils.methods.put("payfine", "reportUserDoesNotExist");
MethodUtils.methods.put("payfine", "lateFeeDeleted");
MethodUtils.methods.put("payfine", "finePaid");
MethodUtils.owners.put("LibClient", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("getID", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("start", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("run", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("handle", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("stop", Class.forName("IUT.client.LibClient"));
MethodUtils.owners.put("ServerThread", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("getID", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("send", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("getSocketAddress", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("run", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("open", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("close", Class.forName("IUT.server.network.ServerThread"));
MethodUtils.owners.put("LibServer", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("start", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("run", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("addThread", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("handle", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("clientSetState", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("clientState", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("exist", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("remove", Class.forName("IUT.server.network.LibServer"));
MethodUtils.owners.put("Item", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("getItemid", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("setItemid", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("getISBN", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("setISBN", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("getCopynumber", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("setCopynumber", Class.forName("IUT.server.logic.model.Item"));
MethodUtils.owners.put("User", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("getUserid", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("setUserid", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("getUsername", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("setUsername", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("getPassword", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("setPassword", Class.forName("IUT.server.logic.model.User"));
MethodUtils.owners.put("getLogger", Class.forName("IUT.utilities.Trace"));
MethodUtils.owners.put("Trace", Class.forName("IUT.utilities.Trace"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.utilities.Trace"));
MethodUtils.owners.put("TitleTable", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("DoesTitleExist", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("titleHasLoan", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("createtitle", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.methods.put("createtitle", "titleAdditionRequested");
MethodUtils.methods.put("createtitle", "newTitleCreated");
MethodUtils.methods.put("createtitle", "informTitleAlreadyExists");
MethodUtils.methods.put("createtitle", "titleAdditionCompleted");
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("delete", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.methods.put("delete", "titleDeletionRequested");
MethodUtils.methods.put("delete", "checkLoan");
MethodUtils.methods.put("delete", "requestDeletion");
MethodUtils.methods.put("delete", "titleDeleted");
MethodUtils.methods.put("delete", "informTitleHasLoan");
MethodUtils.methods.put("delete", "informTitleNotExist");
MethodUtils.methods.put("delete", "titleDeletionCompleted");
MethodUtils.owners.put("getTitleTable", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("getItems", Class.forName("IUT.server.logic.tables.TitleTable"));
MethodUtils.owners.put("Loan", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("getUserid", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("setUserid", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("getIsbn", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("setIsbn", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("getCopynumber", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("setCopynumber", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("getDate", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("setDate", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("getRenewstate", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("setRenewstate", Class.forName("IUT.server.logic.model.Loan"));
MethodUtils.owners.put("Title", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("getISBN", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("setISBN", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("getBooktitle", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("setBooktitle", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("toString", Class.forName("IUT.server.logic.model.Title"));
MethodUtils.owners.put("Client", Class.forName("IUT.server.logic.handler.model.Client"));
MethodUtils.owners.put("getClient", Class.forName("IUT.server.logic.handler.model.Client"));
MethodUtils.owners.put("setClient", Class.forName("IUT.server.logic.handler.model.Client"));
MethodUtils.owners.put("getState", Class.forName("IUT.server.logic.handler.model.Client"));
MethodUtils.owners.put("setState", Class.forName("IUT.server.logic.handler.model.Client"));
MethodUtils.owners.put("createUser", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("createTitle", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("createItem", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("deleteUser", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("deleteTitle", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("deleteItem", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("borrow", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("renew", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("returnBook", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("payFine", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("clerkLogin", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("userLogin", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("isInteger", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("isNumber", Class.forName("IUT.server.logic.handler.OutputHandler"));
MethodUtils.owners.put("LoanTable", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("getInstance", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesUserInvalid", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesISBNInvalid", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesCopyNumberInvalid", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesExceedLimit", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("HasFee", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesItemAvailable", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesLoanExist", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("DoesLoanOverdue", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("createloan", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.methods.put("createloan", "loanRequested");
MethodUtils.methods.put("createloan", "checkDoesISBNInvalid");
MethodUtils.methods.put("createloan", "checkDoesCopyNumberInvalid");
MethodUtils.methods.put("createloan", "checkDoesExceedLimit");
MethodUtils.methods.put("createloan", "checkHasFee");
MethodUtils.methods.put("createloan", "checkDoesItemAvailable");
MethodUtils.methods.put("createloan", "reportUserInvalid");
MethodUtils.methods.put("createloan", "reportISBNInvalid");
MethodUtils.methods.put("createloan", "reportCopyNumberInvalid");
MethodUtils.methods.put("createloan", "loanAdded");
MethodUtils.methods.put("createloan", "reportExceedLimit");
MethodUtils.methods.put("createloan", "reportHasFee");
MethodUtils.methods.put("createloan", "reportItemNotAvailable");
MethodUtils.methods.put("createloan", "itemBorrowed");
MethodUtils.owners.put("lookup", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("checkLimit", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("renewal", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.methods.put("renewal", "renewLoanRequested");
MethodUtils.methods.put("renewal", "checkHasFee");
MethodUtils.methods.put("renewal", "checkDoesLoanExist");
MethodUtils.methods.put("renewal", "checkDoesExceedRenewLimit");
MethodUtils.methods.put("renewal", "loanRenewed");
MethodUtils.methods.put("renewal", "reportExceedRenewLimit");
MethodUtils.methods.put("renewal", "reportLoanDoesNotExist");
MethodUtils.methods.put("renewal", "reportExceedLimit");
MethodUtils.methods.put("renewal", "reportHasFee");
MethodUtils.methods.put("renewal", "loanRenewedCompeleted");
MethodUtils.owners.put("dateformat", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("returnItem", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.methods.put("returnItem", "returnLoanRequested");
MethodUtils.methods.put("returnItem", "checkDoesLoanOverdue");
MethodUtils.methods.put("returnItem", "loanDeleted");
MethodUtils.methods.put("returnItem", "loanDeletionCompleted");
MethodUtils.methods.put("returnItem", "reportLoanDoesNotExist");
MethodUtils.methods.put("returnItem", "itemReturned");
MethodUtils.owners.put("getLoanTable", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("looklimit", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("checkUser", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("checkLoan", Class.forName("IUT.server.logic.tables.LoanTable"));
MethodUtils.owners.put("checkLoan", Class.forName("IUT.server.logic.tables.LoanTable"));
} catch (ClassNotFoundException e) {
e.printStackTrace();
}
}
public static String lookup(String methodName){
return MethodUtils.methods.get(methodName);
}
public static Class<?> lookupOwner(String methodName) {
return MethodUtils.owners.get(methodName);
}
}