package TestSuites;

import MonitoringFramework.IUTContract.FeeTableContract;
import MonitoringFramework.IUTContract.ItemTableContract;
import MonitoringFramework.IUTContract.LoanTableContract;
import MonitoringFramework.IUTContract.TitleTableContract;
import MonitoringFramework.IUTContract.UserTableContract;
import MonitoringFramework.classtrn.BlackBoard;
import MonitoringFramework.classtrn.Constants;

public class ScenarioTester {
	public static void main(String[] args) {
		FeeTableContract feetablecontract = new FeeTableContract();
		feetablecontract.registerForACLEvents();
		ItemTableContract itemtablecontract = new ItemTableContract();
		itemtablecontract.registerForACLEvents();
		LoanTableContract loantablecontract = new LoanTableContract();
		loantablecontract.registerForACLEvents();
		TitleTableContract titletablecontract = new TitleTableContract();
		titletablecontract.registerForACLEvents();
		UserTableContract usertablecontract = new UserTableContract();
		usertablecontract.registerForACLEvents();
		SystemSimulation.MyIUTPoolSimulation();
		MonitoringFramework.classtrn.BlackBoard.getInstance().notifyIUTExit();
		while (!BlackBoard.getInstance().isTimeToshutDownEventNotification()) {
			try {
				Thread.sleep(1000 * Constants.WAITFOREVENTPROCESSING);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
		feetablecontract.getScenarioInstanceStatusAfterIUTExit();
		itemtablecontract.getScenarioInstanceStatusAfterIUTExit();
		loantablecontract.getScenarioInstanceStatusAfterIUTExit();
		titletablecontract.getScenarioInstanceStatusAfterIUTExit();
		usertablecontract.getScenarioInstanceStatusAfterIUTExit();
	}
}
