package layout;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.Font;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class JScenario {

	private JFrame frmJscenario;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					JScenario window = new JScenario();
					window.frmJscenario.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public JScenario() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmJscenario = new JFrame();
		frmJscenario.setBounds(200, 200, 850, 600);
		frmJscenario.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmJscenario.setTitle("JScenario");
		frmJscenario.getContentPane().setLayout(null);
		
		JLabel lblWelcomeToJscenrio = new JLabel("Welcome to JScenrio");
		lblWelcomeToJscenrio.setFont(new Font("Times New Roman", Font.BOLD, 24));
		lblWelcomeToJscenrio.setBounds(297, 182, 243, 56);
		frmJscenario.getContentPane().add(lblWelcomeToJscenrio);
		
		//jump to next page
		JButton btnLetsStart = new JButton("Let's start !");
		btnLetsStart.setFont(new Font("Times New Roman", Font.PLAIN, 18));
		btnLetsStart.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				frmJscenario.setVisible(false);
				EnvironmentSetting es=new EnvironmentSetting();
				es.setVisible(true);
			}
		});
		btnLetsStart.setBounds(671, 437, 123, 45);
		frmJscenario.getContentPane().add(btnLetsStart);
		
		JLabel lblaScenarioTesting = new JLabel("A scenario testing tool for Java");
		lblaScenarioTesting.setFont(new Font("Times New Roman", Font.PLAIN, 18));
		lblaScenarioTesting.setBounds(416, 260, 243, 25);
		frmJscenario.getContentPane().add(lblaScenarioTesting);
	}
}
