package MonitoringFramework.edu.carleton.scs.jacl.vf.engine;

import java.util.concurrent.atomic.AtomicLong;

/**
 * This is not thread safe!!.
 * I would use atomicLong
 * @author hneedham
 *
 */
public class ContractManager {
	private static ContractManager _instance;	
	private static AtomicLong counter = new AtomicLong(0);
	
	//just a dummy
	public static Object getInstance() {
		if (_instance!=null) return _instance;
		else return new ContractManager();
		
	}
	
	public long getNextContractID(){
		return counter.getAndIncrement();
	}

}
